html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-family: "Roboto", "Helvetica", sans-serif;
  background-color: rgba(0, 0, 0, 0.04);
  display: flex;
  align-items: flex-start;
}

nav {
  margin: 8px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

a {
  flex: 1;
  position: relative;
  background-color: white;
  min-width: 400px;
  height: 250px;
  overflow: hidden;
  margin: 8px;
  box-shadow: 0 3px 5px rgba(0, 0, 0, 0.4);
  transition: box-shadow 150ms ease-in-out;
}

a:hover {
  box-shadow: 0 7px 12px rgba(0, 0, 0, 0.6);
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: top left;
}

span {
  position: absolute;
  top: -1px; /** Fix white pixel line when zoomed */
  right: -1px;
  bottom: -1px;
  left: -1px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  color: white;
  background: radial-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.8));
  opacity: 0;
  transition: opacity 400ms ease-in-out;
}

span:hover {
  opacity: 1;
}
